package cn.reghao.oss.console.app.model.po;

import cn.reghao.oss.storeapi.dto.StoreDiskDto;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

import javax.persistence.Embeddable;

/**
 * @author reghao
 * @date 2024-03-04 17:08:20
 */
@NoArgsConstructor
@AllArgsConstructor
@Getter
@Embeddable
public class StoreDisk {
    private String diskDir;
    private Long total;
    private Long avail;

    public StoreDisk(StoreDiskDto storeDiskDto) {
        this.diskDir = storeDiskDto.getDiskDir();
        this.total = storeDiskDto.getTotal();
        this.avail = storeDiskDto.getAvail();
    }
}
